Name:           perl-Class-C3-Componentised
Version:        1.0006
Release:        2%{?dist}
Summary:        Load mix-ins or components to your C3-based class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-C3-Componentised/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AS/ASH/Class-C3-Componentised-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(Test::More)
BuildRequires: perl(FindBin)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::C3) >= 0.20
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(MRO::Compat)
# testing
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)

Requires:       perl(Carp)
Requires:       perl(Class::C3) >= 0.20
Requires:       perl(Class::Inspector)
Requires:       perl(MRO::Compat)

%{?perl_default_filter}

%description
This will inject base classes to your module using the Class::C3 method
resolution order.

Please note: these are not plugins that can take precedence over methods
declared in MyModule. If you want something like that, consider
MooseX::Object::Pluggable.


%prep
%setup -q -n Class-C3-Componentised-%{version}
perl -pi -e 's|^#!perl|#!%{__perl}|' t/*.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.0006-2
- rebuild against perl 5.10.1

* Sat Sep 26 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.0006-1
- update filtering
- auto-update to 1.0006 (by cpan-spec-update 0.01)
- added a new req on perl(Carp) (version 0)
- added a new req on perl(Class::C3) (version 0.20)
- added a new req on perl(Class::Inspector) (version 0)
- added a new req on perl(MRO::Compat) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0005-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.0005-1
- auto-update to 1.0005 (by cpan-spec-update 0.01)
- added a new br on perl(FindBin) (version 0)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- altered br on perl(Class::C3) (0 => 0.20)
- added a new br on perl(Carp) (version 0)

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.0004-1
- update to 1.0004

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0003-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.0003-1
- update to 1.0003

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0001-5
- rebuild for new perl

* Thu Dec 06 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-4
- bump

* Wed Dec 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-3
- filter perl(base).  I knew there was a reason I did that...

* Tue Dec 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-2
- drop errant requires filtering...

* Tue Sep 18 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-1
- Specfile autogenerated by cpanspec 1.71.
